Jump to content
Ah_dammit

Just got 1946, how to mod?

Recommended Posts

Hi guys,

Old guy, totally new to sims / games and no experience of computer programming.

I've got 1946 from GOG, so far  so good.

This is what doCapture.JPG.8b03ea4dbe920d4ed7d80f2fd717434f.JPGwnloaded-

I'm not sure why I have so many copies?

How do I open the setup folders, I can't seem to find the correct location?

I'd like to mod the game as I've read on the forum (VP patch)

I made a copy of the GOG Galaxy file.

Do I apply the patch to this or to the "game" folder or the" Sturmovik 1946 "folder within there?

Sorry for the probably dumb questions but I've never done anything like this before.

Mockery and advice welcome

John

Share this post


Link to post
Share on other sites

when you start the game, which version will show you? 4.09 or 4.134?

Share this post


Link to post
Share on other sites

Question to the other members that reacted and interesting for the TS too: , is BAT so much better as VP regarding graphics, maps and number of planes that it is worth to install that too or instead. And can you "merge" both later or does it requires a fresh install ? 

 

I had not had seen the videos, so thanks, I will watch the BAT one. . Someone here gave me some links but I think not everything was still up to date. At GOG you download the game and they had more files as back-up/extras, that are next to good documentation about most planes, The 3 files ending at 4.10m are older versions. Why ? I have no clue. You do not need them. 4.13.4m is the latest version. 

 

There is a newer, I think, "unofficial" version (link somewhere on this forum) but not via GOG and if you do the update you can not use the other mod-packs (and I had a hard time removing it, I had 3 copy's made, 1 backup, one to mod and the 3rd for the newer version, the newer version updated all 3 versions that were in total different directories) And I did not find it great either so that is why I later installed VP.

 

Make a backup of the downloaded version 4.13.4 GOG files. If you screw up you can do it again. It is an all in one directory game so you can delete or replace it like it was a normal directory with things like pdfs or pictures. No uninstalls etc needed so no risc killing the download or your OS . Just toss it in the junkbox and start over

 

Install (unpack) it in some map like documents or some other user DIR, whatever makes you happy, not in windows program-files or whatever windows wants. (for instance  C:\games\IL_2_1946  or   D:\IL_2_1946  or   E:\whatever_makes _you_happy. 

 

Then run the normal setup and look at the version nr. It will be newer as VP wants. 

 

I used this (and the links there) as a base  https://www.sas1946.com/main/index.php?topic=50919.0 and a link to my topic 

 

The link to the downgrade software  http://www.sas1946.com/main/index.php/topic,38443.0.html  After you did that, run the game again as a test, Now you should have the older version.  (it shows in big red numbers on the start screen).

 

I installed VP because I have not so fast internet and BAT is an enormous load of data.  The links tell you how, but the workflow is that you first must downgrade your GOG version. This is very straight forward. Nothing fancy.

The link to the downgrade software  http://www.sas1946.com/main/index.php/topic,38443.0.html  After you did that, run the game again as a test and now you should have the older version.  (it shows in big red numbers on the start screen). 

 

And then you can install the mod-pack. You download the 16 files (in case of VP) . I used the second batch (mediafire). They are zipped per file and together they are all the mods. You need to unzip them with http://www.7-zip.org/download.html because it is a special type of zip file. 

And http://www.sas1946.com/main/index.php/topic,50919.msg556032.html#msg556032 is about how that works. That was the hardest part because it did not work that way. Probably an older version or some leftovers here from the "unofficial"upgrade . However, it turned out to be not that difficult. I unzipped the first file into a dir : you can use any name, as example something like  D:\IL_2_1946\vp-modpack . Then I used the same unzip program to add the 15 others to the same dir. That dit not work (but it could be still thanks to that wrong update). I then copied all the files from D:\IL_2_1946\vp-modpack\ direct into the main game directory ( D:\IL_2_1946\ ) and then it worked.

 

After that you can install the updates. I forgot how because I have done so much wrong before and spend almost a day before it worked, but do I remember it was more or less the most easy part and the instructions were correct. 

 

Then you need to start the game by running IL-2 Selector and then click the "start IL-2 1946 now" button (every time)

 

 

 

Share this post


Link to post
Share on other sites
On 7/8/2019 at 2:51 PM, pa4tim said:

Then you need to start the game by running IL-2 Selector and then click the "start IL-2 1946 now" button (every time)

 You don't need to run the game from Selector.

IL-2 Selector is only needed when you make changes to your settings (different mod type, different RAM size, whatever).

Without changing anything, you can just run the game by starting il2fb.exe.

 

:drinks:

Mike

Share this post


Link to post
Share on other sites

Thanks, I did not know. 

Is there a way to switch in game between  Dawn of flight, golden age, world at war and jet age ? Because now I do that through the selector.

 

Yesterday I did a fresh install but now the complete BAT package and all expansion packs. A lot of data but a very pleasant proces thanks to the very good instructions and very well designed installation proces. Thank you, that must have been a lot of work. Only thing I think I have to do is installing some skins because I think they are (partly ? ) missing.

 

I am impressed by the huge number of maps and planes. It was worth it. 

 

 

 

Share this post


Link to post
Share on other sites
On 7/12/2019 at 11:35 PM, pa4tim said:

Is there a way to switch in game between  Dawn of flight, golden age, world at war and jet age ? Because now I do that through the selector.

That's what you need the Selector for indeed.

Since the Java Classfiles differ between the BAT modules, there's no way to have an ingame switch as the underlying Java VM of IL-2 (Java 1.3.1 build 38) does not allow replacing classes at runtime.

 

:drinks:

Mike

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...